/* SMPTE color bar __positions__ (not actual colors or color indeces!)  */
#define	SMPTE_TOP_WHITE		0
#define	SMPTE_TOP_YELLOW	1
#define	SMPTE_TOP_CYAN		2
#define	SMPTE_TOP_GREEN		3
#define	SMPTE_TOP_MAGENTA	4
#define	SMPTE_TOP_RED		5
#define	SMPTE_TOP_BLUE		6

#define SMPTE_BOT_BLUE1		0
#define SMPTE_BOT_WHITE		1
#define	SMPTE_BOT_BLUE2		2
#define	SMPTE_BOT_BLACK1	3
#define	SMPTE_BOT_BLACK2	4

/* SMPTE colors (75% full colors), 32bit, RGBA encoding (RRGGBBAA in hex) */
#ifdef ANM_OSX
#define SMPTE_IMAGE		0x00000000	// not a color, but selection
#define	SMPTE_BLACK_32		0x000000ff
#define SMPTE_RED_32		0xbf0000ff
#define SMPTE_GREEN_32		0x00bf00ff
#define	SMPTE_YELLOW_32		0xbfbf00ff
#define	SMPTE_BLUE_32		0x0000bfff
#define SMPTE_MAGENTA_32	0xbf00bfff
#define	SMPTE_CYAN_32		0x00bfbfff
#define	SMPTE_WHITE_32		0xbfbfbfff
#define	SMPTE_100WHITE_32	0xffffffff
#else
#define SMPTE_IMAGE		0x00000000	// not a color, but selection
#define	SMPTE_BLACK_32		0xff000000
#define SMPTE_RED_32		0xff0000bf
#define SMPTE_GREEN_32		0xff00bf00
#define	SMPTE_YELLOW_32		0xff00bfbf
#define	SMPTE_BLUE_32		0xffbf0000
#define SMPTE_MAGENTA_32	0xffbf00bf
#define	SMPTE_CYAN_32		0xffbfbf00
#define	SMPTE_WHITE_32		0xffbfbfbf
#define	SMPTE_100WHITE_32	0xffffffff
#endif
