#include        <iostream>
#include        <iomanip>
#include	<math.h>

using namespace std;

#include	"matrix.h"
#include	"vector.h"
#include	"quaternion.h"
#include	"quaternion.cpp"

typedef xxxxx Type;

/////////////////////////// friend operators: (const scalar&, cosnt Quat&) /////
Quat<Type> operator*(Type lhs,Quat<Type> rhs)
{
        Quat<Type>    result(rhs);

  return(result *= lhs);
}

Quat<Type> operator/(Type lhs,Quat<Type> rhs)
{
        Quat<Type>    result(!rhs);

  return(result *= lhs);
}

/////////////////////////// friends ////////////////////////////////////////////
ostream& operator<<(ostream& s,const Quat<Type>& rhs)
{
  s.setf(ios::fixed,ios::floatfield);
  s.precision(2);
  s.width(6);
  s << "(" << rhs.scalar << ", " << rhs.vector << ")";

  return s;
}

template class Quat<Type>;
