#include        <iostream>
#include	<unistd.h>
#include	<stdio.h>
#include	<stdlib.h>
#include	<string.h>
#include	<cmath>

using namespace std;

#include	<mlib/types.h>
#include	<mlib/array.h>
#include	<mlib/matrix.h>
#include	<mlib/vector.h>
#include	"pnm.h"
#include	"pgm.h"

// prototypes
int	main(int argc, char **argv);
void	parseCmdLine(int argc,char **argv);

void parseCmdLine(int argc,char **argv)
{
        int     ch;
        int     opterr=0;
        char    *progname, *ptr;
        char    *usage =
		"usage: %s < srcimg.pgm > destimg.pgm                      \n"
                "options:\n"
                "\t -h          \t this help message                       \n"
                ;

  // get basename of argv
  if((ptr = strrchr(*argv,'/')) != NULL)        progname = ++ptr;
  else                                          progname = *argv;

  while((ch = getopt(argc,argv,"h"))!=EOF) {
    switch(ch) {
      case 'h':
      default:
        opterr = 1;
        break;
    }
  }

  if(opterr) {
    fprintf(stderr,usage,progname);
    exit(1);
  }
}

int main(int argc, char **argv)
{
	Pgm	img(256,256,(ushort)0);

  parseCmdLine(argc,argv);

  cin >> img;
  cout << img;
}
