#ifdef ANM_OSX
/* R,G,B,A masks for picking out components from (long) data (RGBA format) */
#define	LONG_R_MASK		0xff000000
#define LONG_G_MASK		0x00ff0000
#define LONG_B_MASK		0x0000ff00
#define LONG_A_MASK		0x000000ff

#define LONG_R(lval)		(((lval) & LONG_R_MASK)>>24);
#define LONG_G(lval)		(((lval) & LONG_G_MASK)>>16);
#define LONG_B(lval)		(((lval) & LONG_B_MASK)>>8);
#define LONG_A(lval)		(((lval) & LONG_A_MASK));

#define	SHORT_L_MASK		0xff00
#define	SHORT_A_MASK		0x00ff

#define SHORT_L(lval)		(((lval) & SHORT_L_MASK)>>8);
#define SHORT_A(lval)		(((lval) & SHORT_A_MASK));

#else
/* old way: for MESA */
#define	LONG_R_MASK		0x000000ff
#define LONG_G_MASK		0x0000ff00
#define LONG_B_MASK		0x00ff0000
#define LONG_A_MASK		0xff000000

#define LONG_R(lval)		(((lval) & LONG_R_MASK));
#define LONG_G(lval)		(((lval) & LONG_G_MASK)>>8);
#define LONG_B(lval)		(((lval) & LONG_B_MASK)>>16);
#define LONG_A(lval)		(((lval) & LONG_A_MASK)>>24);

#define	SHORT_L_MASK		0x00ff
#define	SHORT_A_MASK		0xff00

#define SHORT_L(lval)		(((lval) & SHORT_L_MASK));
#define SHORT_A(lval)		(((lval) & SHORT_A_MASK)>>8);
#endif
