#include        <iostream>
#include        <string>
#include	<stdlib.h>
#include	<sys/time.h>

using namespace std;

#include	"timer.h"

ostream& operator<<(ostream& s,const Timer& rhs)
{
  s << "time elapsed: " << rhs.tt << " us \n";

  return(s);
}


void Timer::start()
{
  ts = stamp_us();
}


void Timer::end()
{
  te = stamp_us();
  tt = te - ts;
}


double Timer::stamp_us()
{
	double		s,us,tod;
	struct timeval	tp;

  // get time of day (tod), return in microseconds

  gettimeofday(&tp,NULL);
  s = static_cast<double>(tp.tv_sec);
  us = static_cast<double>(tp.tv_usec);
  tod = s*1000000.0 + us;
  return(tod);
}
